Tag: pip

Хвост файла до выхода процесса

Прохождение ответов на суперпользователя . Я пытаюсь изменить это, чтобы прослушивать несколько строк и эхо-пользовательские сообщения, такие как; «Ваш сервер успешно запущен» и т. Д. Я также пытаюсь применить его к другой команде, т.е. wait_str() { local file="$1"; shift local search_term="Successfully installed"; shift local search_term2='Exception' local wait_time="${1:-5m}"; shift # 5 minutes as default timeout (timeout […]

Настройка scikit-learn – ошибки numpy при импорте

Я пытаюсь настроить scikit-learn, но после установки numpy и scikit-learn (using pip) это то, что я получаю при попытке imort sklearn: import sklearn RuntimeError: module compiled against API version 8 but this version of numpy is 7 Traceback (most recent call last): File "<stdin>", line 1, in <module> File "/usr/local/lib/python2.7/site-packages/sklearn/__init__.py", line 32, in <module> from […]

Python: разрешение отклонено при установке pip

Я студент, и я делаю проект на компьютере отдела, системе Linux 7.2. Теперь я пытаюсь установить pip, чтобы я мог установить пакеты python, используя его. Я загрузил get-pip.py и попытался установить через python get-pip.py . Это дает мне: Collecting pip Downloading pip-8.1.1-py2.py3-none-any.whl (1.2MB) 100% |████████████████████████████████| 1.2MB 471kB/s Collecting wheel Downloading wheel-0.29.0-py2.py3-none-any.whl (66kB) 100% |████████████████████████████████| 71kB […]

Установка Pyside не выполняется (Python 2.7.4)

Я просто обновился до Ubuntu 13.04 (бета), и я получаю сообщение об ошибке при попытке установить pyside в Virtualenv (python 2.7.4), используя pip: error: Failed to locate the Python library /usr/lib/libpython2.7.so.1 У кого-нибудь есть идеи? Я пробовал предыдущие версии, а также версию dev, все равно не повезло. EDIT: Журнал консоли для post_install (monster)tony@tonyubuntu:~/Downloads/pyside-setup$ python pyside_postinstall.py […]

Странная повторяющаяся последовательность, напечатанная на консоли при установке пакетов через конду

Мои системные спецификации: C: \ Users \ Lenovo> Информация о кондаке Текущая установка: platform : win-64 conda version : 4.3.8 conda is private : False conda-env version : 4.3.8 conda-build version : 1.21.3 python version : 3.5.2.final.0 requests version : 2.12.4 root environment : C:\Anaconda3 (writable) default environment : C:\Anaconda3 envs directories : C:\Anaconda3\envs package […]

Ошибка установки django

Я пытаюсь установить django, используя pip в Terminal. Однако я всегда получаю исключение. Последняя ошибка всегда «разрешена», и я не понимаю, почему. Любая помощь приветствуется. Журнал: pip install django You are using pip version 7.1.0, however version 8.1.0 is available. You should consider upgrading via the 'pip install –upgrade pip' command. Collecting django Using cached […]

Pip / easy_install игнорирует ARCHFLAGS в установке SciPy?

Я пытаюсь скомпилировать SciPy как для 32-битной, так и для 64-разрядной архитектуры, поскольку некоторые из приложений, которые используют библиотеку, являются только одной аркой или другой, следуя советам из нескольких вопросов SO . Эта команда работала для меня в аналогичной сборке около двух месяцев назад, но теперь кажется, что некоторые из скомпилированных разделяемых библиотек предназначены только […]

Невозможно установить mysql-python с помощью pip на MacOS 10.12.4

После получения ошибки при запуске pip install mysql-python Collecting mysql-python Using cached MySQL-python-1.2.5.zip Complete output from command python setup.py egg_info: Traceback (most recent call last): File "<string>", line 1, in <module> File "/private/var/folders/b_/xh05hxwd0lzc3rm858jsypdc0000gn/T/pip-build-AWDYaP/mysql-python/setup.py", line 17, in <module> metadata, options = get_config() File "setup_posix.py", line 53, in get_config libraries = [ dequote(i[2:]) for i in libs […]

ПП отказывается модернизировать

В настоящее время я установил пункт 8.1.2. Поэтому я хочу обновить его до последней версии (9.0.1), и я выполняю: sudo pip install –upgrade pip Collecting pip Downloading pip-9.0.1-py2.py3-none-any.whl (1.3MB) 100% |████████████████████████████████| 1.3MB 846kB/s Installing collected packages: pip Found existing installation: pip 8.1.2 Not uninstalling pip at /usr/lib/python2.7/dist-packages, outside environment /usr Successfully installed pip-8.1.2 You are […]

Pip Requirements.txt –global-option, вызывающий ошибки установки с другими пакетами. "Вариант не распознан"

У меня возникают трудности с параметрами –global-option и -install-option для файла requirements.txt. Указание параметров для одной библиотеки приводит к сбоям в установке других библиотек. Я пытаюсь установить библиотеки Python «grab» и «pycurl». Мне нужно указать, что pycurl должен быть установлен с опцией: «–with-nss». Я могу воспроизвести ошибку на полностью чистой виртуальной среде. В новой виртуальной […]

Python - лучший язык программирования в мире.